//
// Created by sebastian on 29.07.26.
//

#include "GLRenderState.h"

#include "GLStateCache.h"

namespace engine {
    void GLRenderState::apply() const {
        GLStateCache::setFaceCulling(backfaceCulling || frontFaceCulling, frontFaceCulling);
        GLStateCache::setAntialiasing(antialiasing);
        GLStateCache::setAlphaBlending(alphaBlending);
        GLStateCache::setDepthTest(depthTesting);
        GLStateCache::setDepthWriting(depthWriting);
    }
}
